Luxor PlatformAPI DocumentationCommanderInventory

Bulk restore inventory assets

Restores (un-archives) one or more soft-deleted assets.

POST
/v2/commander/inventory/assets/restore

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/inventory/assets/restore" \  -H "Content-Type: application/json" \  -d '{    "asset_ids": [      "44e291e8-75e3-4d1e-84ca-4a7724578323"    ]  }'
{  "restored_count": 7,  "total_count": 7}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}